Debian Bug report logs - #698260
unrecognized option '--package-lists'

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Antoine Beaupré <anarcat@debian.org>

Date: Wed, 16 Jan 2013 05:39:01 UTC

Severity: important

Found in version live-build/3.0~b5-1

Fixed in versions live-build/3.0~b6-1, live-build/4.0~a8-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#698260; Package live-build. (Wed, 16 Jan 2013 05:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 16 Jan 2013 05:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unrecognized option '--package-lists'
Date: Wed, 16 Jan 2013 00:36:49 -0500
Package: live-build
Version: 3.0~b5-1
Severity: important

Starting with 3.0~b5-1, the --package-lists option seems to be
broken. This used to work in wheezy:

$ lb config --verbose --package-lists "xfce rescue"
[2013-01-16 00:14:53] lb config --verbose --package-lists xfce rescue
lb config: unrecognized option '--package-lists'

It is also documented in the manpage:

$ man lb_config | grep -- --package-lists | head -1
            [-p|--package-lists LIST|"LISTS"]

But not in the inline help anymore:

$ lb config -h  | grep package-lists
$

What seems obvious is that option is not supported anymore. At the
very least the documentation needs to be updated, however, it's now
unclear to me how to create (e.g.) a "rescue" image, since even the
/usr/share/live/build/package-lists/ directory is gone from this
version.

For the people that find this bug report, those package lists now live
in the live-images git repository, viewable here:

http://live.debian.net/gitweb/?p=live-images.git;a=tree

and clonable from:

git://live.debian.net/git/live-images.git

It seems the way to go forward now is to copy the package-lists
locally. It would be nice if the package lists would still be shipped
with the package so they can be symlinked into place, for example.

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_CA.UTF-8, LC_CTYPE=fr_CA.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_CA.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap  1.0.44

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a35-1
ii  live-config-doc                 3.0~a43-1
ii  live-manual-html [live-manual]  1:3.0~a13-1

Versions of packages live-build suggests:
ii  dosfstools                  3.0.13-1
ii  fakeroot                    1.18.4-2
ii  git                         1:1.7.10.4-1+wheezy1
pn  loadlin                     <none>
ii  memtest86+                  4.20-1.1
ii  mtools                      4.0.17-1
ii  parted                      2.3-11
pn  squashfs-tools | mtd-tools  <none>
ii  sudo                        1.8.5p2-1
pn  syslinux | grub             <none>
pn  uuid-runtime                <none>
pn  win32-loader                <none>
ii  xorriso                     1.2.2-2

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#698260; Package live-build. (Wed, 16 Jan 2013 07:00:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 16 Jan 2013 07:00:10 GMT) Full text and rfc822 format available.

Message #10 received at 698260@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Antoine Beaupré <anarcat@debian.org>
Cc: 698260@bugs.debian.org
Subject: Re: Bug#698260: unrecognized option '--package-lists'
Date: Wed, 16 Jan 2013 08:01:05 +0100
tag 698260 pending
thanks

On 01/16/2013 06:36 AM, Antoine Beaupré wrote:
> $ man lb_config | grep -- --package-lists | head -1
>              [-p|--package-lists LIST|"LISTS"]

removed.

ftr, if you read the list, follow irc or look at the wheezy todo, you'll 
see that updating the manpages was defered on purpose, to be one of the 
last things to be done before releasing the final version for wheezy in 
order to not waste peoples time on translation/updating documentation 
until the final changes on the config layout have been made.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 16 Jan 2013 07:00:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#698260; Package live-build. (Wed, 16 Jan 2013 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antoine Beaupré <anarcat@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Wed, 16 Jan 2013 12:33:03 GMT) Full text and rfc822 format available.

Message #17 received at 698260@bugs.debian.org (full text, mbox):

From: Antoine Beaupré <anarcat@debian.org>
To: daniel.baumann@progress-technologies.net
Cc: 698260@bugs.debian.org
Subject: Re: Bug#698260: unrecognized option '--package-lists'
Date: Wed, 16 Jan 2013 07:32:05 -0500
[Message part 1 (text/plain, inline)]
On 2013-01-16, Daniel Baumann wrote:
> tag 698260 pending
> thanks
>
> On 01/16/2013 06:36 AM, Antoine Beaupré wrote:
>> $ man lb_config | grep -- --package-lists | head -1
>>              [-p|--package-lists LIST|"LISTS"]
>
> removed.

Thanks.

> ftr, if you read the list, follow irc or look at the wheezy todo, you'll 
> see that updating the manpages was defered on purpose, to be one of the 
> last things to be done before releasing the final version for wheezy in 
> order to not waste peoples time on translation/updating documentation 
> until the final changes on the config layout have been made.

Understood. Since I am not a developper of this project and merely a new
user, I didn't read the list, follow IRC or read the todo, sorry!

a.

-- 
The world is a dangerous place, not because of those who do evil,
but because of those who look on and do nothing.
                        - Albert Einstein
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 20 Jan 2013 09:36:05 GMT) Full text and rfc822 format available.

Notification sent to Antoine Beaupré <anarcat@debian.org>:
Bug acknowledged by developer. (Sun, 20 Jan 2013 09:36:05 GMT) Full text and rfc822 format available.

Message #22 received at 698260-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 698260-close@bugs.debian.org
Subject: Bug#698260: fixed in live-build 3.0~b6-1
Date: Sun, 20 Jan 2013 09:32:35 +0000
Source: live-build
Source-Version: 3.0~b6-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698260@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 20 Jan 2013 10:17:42 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~b6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 698260 698397 698423
Changes: 
 live-build (3.0~b6-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating manpage year handling for 2013.
   * Updating wheezy beta-release number.
   * Using cat instead of echo to workaround incompatible and conflicting
     uses in escaping of \t in dash and bash, and less importantly to
     workaround a false-positive in checkbashisms.
   * Updating footer link to 'legal information' in cgi html template.
   * Cleaning up binary_loadlin.
   * Updating for twitter-bootstrap usage on live.debia.net in the cgi html
     templates.
   * Updating footer in cgi html template.
   * Correcting spelling typo in html footer of the cgi, thanks to Jean-
     Christophe Saint-Marc <jchristophe.stmarc@free.fr>.
   * Removing reference to removed --package-lists option in lb_config
     manpage (Closes: #698260).
 .
   [ Richard Nelson ]
   * Correcting typo on functions/default.sh, thanks to jhcha54008
     <jhcha54008@free.fr> (Closes: #698397).
 .
   [ Daniel Baumann ]
   * Updating samhain workaround in chroot_dpkg to work if live-build is
     being used with sudo or fakeroot (Closes: #698423).
   * Correcting apt-key cleanup of local dummy signing keys when using
     local packages, thanks to jhcha54008 <jhcha54008@free.fr>.
   * Falling back to use genisoimage when building squeeze iso-hybrid
     images.
   * Applying slightly modified patch from Raphaël Hertzog
     <hertzog@debian.org> to fix automatic firmware inclusion when using
     debian-installer with live-installer and having firmware packages
     installed in the live system already.
Checksums-Sha1: 
 f4bc25e7207fe309f7088879897a00658cdc2346 1322 live-build_3.0~b6-1.dsc
 ecf6cbf1e0cdd23d05a262d4ee0f73e2fc00dc1e 163288 live-build_3.0~b6.orig.tar.xz
 09b4dac03220a0c38fc31f26d6e7f58301365ebb 51208 live-build_3.0~b6-1.debian.tar.xz
 d17466e85a3b3eddfeec740bded1978ee67aaf46 198470 live-build_3.0~b6-1_all.deb
 6be899c3df633b6eed95eeeb6fa1fb588d06a151 75802 live-build-cgi_3.0~b6-1_all.deb
Checksums-Sha256: 
 b40404ab06d6b912b6386aa38301a8df362554dd62b9fe8fdc8c5ac6443b8096 1322 live-build_3.0~b6-1.dsc
 e975aaeeb40d2928d666139dc4c6ab8196684a65220d0fddb1e2f2c2eb32fc84 163288 live-build_3.0~b6.orig.tar.xz
 2ed967e962b65492229a0a930b987d6b2df6e42933dee7b44d6f6ed3f453763d 51208 live-build_3.0~b6-1.debian.tar.xz
 9c5b03a4fdf5cb7d33b0a61595ad08149d48b9862a82ad56b544c427404067ea 198470 live-build_3.0~b6-1_all.deb
 fcaa61bef4e7309548cab2916b112164a8ecf1c6b1c338db0625da2b5a054a8a 75802 live-build-cgi_3.0~b6-1_all.deb
Files: 
 510a4252c709c3c198e96345f5a97d18 1322 misc optional live-build_3.0~b6-1.dsc
 b014b8582d51152f1ca41b19009756fe 163288 misc optional live-build_3.0~b6.orig.tar.xz
 2ec25368366e5da1602a764d302a477d 51208 misc optional live-build_3.0~b6-1.debian.tar.xz
 9501477aefa0890003db2d4bc5476094 198470 misc optional live-build_3.0~b6-1_all.deb
 bedb1b250b39abbaaf8b3b1432e975f7 75802 misc optional live-build-cgi_3.0~b6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD7twwACgkQ+C5cwEsrK54jzwCggnbYkQ653Ega0fLGAVqvAj1I
FT8AoJExRsc3zg5MsjwsCyiNUNlc2UBu
=rz8+
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 20 Jan 2013 11:03:10 GMT) Full text and rfc822 format available.

Notification sent to Antoine Beaupré <anarcat@debian.org>:
Bug acknowledged by developer. (Sun, 20 Jan 2013 11:03:10 GMT) Full text and rfc822 format available.

Message #27 received at 698260-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 698260-close@bugs.debian.org
Subject: Bug#698260: fixed in live-build 4.0~a8-1
Date: Sun, 20 Jan 2013 11:02:30 +0000
Source: live-build
Source-Version: 4.0~a8-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698260@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 20 Jan 2013 11:28:27 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 4.0~a8-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 698260 698397 698423
Changes: 
 live-build (4.0~a8-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Updating manpage year handling for 2013.
   * Using cat instead of echo to workaround incompatible and conflicting
     uses in escaping of \t in dash and bash, and less importantly to
     workaround a false-positive in checkbashisms.
   * Updating footer link to 'legal information' in cgi html template.
   * Cleaning up binary_loadlin.
   * Updating for twitter-bootstrap usage on live.debia.net in the cgi html
     templates.
   * Updating footer in cgi html template.
   * Correcting spelling typo in html footer of the cgi, thanks to Jean-
     Christophe Saint-Marc <jchristophe.stmarc@free.fr>.
   * Removing reference to removed --package-lists option in lb_config
     manpage (Closes: #698260).
 .
   [ Richard Nelson ]
   * Correcting typo on functions/default.sh, thanks to jhcha54008
     <jhcha54008@free.fr> (Closes: #698397).
 .
   [ Daniel Baumann ]
   * Updating samhain workaround in chroot_dpkg to work if live-build is
     being used with sudo or fakeroot (Closes: #698423).
   * Correcting apt-key cleanup of local dummy signing keys when using
     local packages, thanks to jhcha54008 <jhcha54008@free.fr>.
   * Making xorriso option handling a bit more readable.
   * Applying slightly modified patch from Raphaël Hertzog
     <hertzog@debian.org> to fix automatic firmware inclusion when using
     debian-installer with live-installer and having firmware packages
     installed in the live system already.
   * Adding config/control in example gitignore file.
   * Adding 3.0~b6-1 changelog entries.
   * Correcting variable default assignment for new configuration tree
     layout.
   * Avoiding to unconditionally adding whitespace seperator to
     config/control for existing configs.
Checksums-Sha1: 
 364fd95c0e25e2ad56b82111288e261d87a5cc86 1322 live-build_4.0~a8-1.dsc
 049e16c07961c80128b2f880f62e92777e1efab9 163396 live-build_4.0~a8.orig.tar.xz
 556063b6d595ff89451e86b0e84ce01d4e39e713 51792 live-build_4.0~a8-1.debian.tar.xz
 24dd6534d3a7e3b29168b1668220049a4643a4e9 199238 live-build_4.0~a8-1_all.deb
 f16f113fcb514f119d37c5c825d98fa4eaa9cf85 76504 live-build-cgi_4.0~a8-1_all.deb
Checksums-Sha256: 
 5a8b0629dc391430e9fb2bae4a1502cc8021ca3eb48f6355b9aa8f22a156447a 1322 live-build_4.0~a8-1.dsc
 35a58f2b2d6fa7c25a4a6b572b977e6356f6a78390d34f6d4b9a12166ae931df 163396 live-build_4.0~a8.orig.tar.xz
 dbb1de6d16ea941276c37bf74dd3176e4bc92860fb7567e25066146d52288350 51792 live-build_4.0~a8-1.debian.tar.xz
 d34c07af2e674205bce79b991c5fb26727a2d9af35cbd58caaebb7e90c43d493 199238 live-build_4.0~a8-1_all.deb
 4192f986d7ff1226f9a7a4302361a72e9b7e3534959256f4c369f3c3555e38d5 76504 live-build-cgi_4.0~a8-1_all.deb
Files: 
 4fdd76a4cfbafb03707bcd6d55829877 1322 misc optional live-build_4.0~a8-1.dsc
 4ac35cabcfc0173b31835d7c666d60b3 163396 misc optional live-build_4.0~a8.orig.tar.xz
 e328b3079cc16ffafe0e7fe78ec8a19a 51792 misc optional live-build_4.0~a8-1.debian.tar.xz
 a4fd001b4a2a14628bf0050d2e154c35 199238 misc optional live-build_4.0~a8-1_all.deb
 8ce96493bf08059a59e6bf5d5717d895 76504 misc optional live-build-cgi_4.0~a8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD7zgMACgkQ+C5cwEsrK55+zgCgpdSz3bhW2MGcJdejM/BGxmCM
St0AoLAq2d8zu6TuA2dB6/Ir6useL8Ik
=PjBL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Feb 2013 07:26:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:24:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.